const express = require('express')
const router = express.Router()

// Routers
const authRoutes = require('./auth.route')
const refreshTokenRoutes = require('./refreshToken.route')
const usersRoutes = require('./users.route')
const inviteStaffRoutes = require('./inviteStaff.route')
const rolesRoutes = require('./roles.route')
const permissionsRoutes = require('./permissions.route')
const otpHistoryRoutes = require('./otpHistory.route')

// Routes
router.use('/auth', authRoutes)
router.use('/refresh-tokens', refreshTokenRoutes)
router.use('/users', usersRoutes)
router.use('/invite', inviteStaffRoutes)
router.use('/roles', rolesRoutes)
router.use('/permissions', permissionsRoutes)
router.use('/otp', otpHistoryRoutes)

module.exports = router
